task NGScheckMates {
	File fastq_dir
	File input_file
	File out_dir
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e
		nt=$(nproc)
		python ncm_fastq.py -l ${input_file} -pt SNP/SNP.pt –O ./ -p $nt -s 0.3 -f
	>>>

	runtime {
		docker:docker
    	cluster:cluster_config
    	systemDisk:"cloud_ssd 40"
    	dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File all_txt="output_all.txt"
		File cor_txt="output_corr_matrix.txt"
		File matched_txt="output_matched.txt"
		File r_script="r_script.r"
	}
}
